Bug 2622 - glibc-2.1.* breaks blackdowns java port of jdk117
glibc-2.1.* breaks blackdowns java port of jdk117
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
6.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-06 18:47 EDT by mmortens
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-10 09:57:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mmortens 1999-05-06 18:47:45 EDT
I upgraded to 6.0 today and going to glibc-2.1.1 broke my
jdk1.1.7.  jdk1.1.7 depends on a late version of glibc-2.0.7
as does the port of jdk1.2.  I depend on java daily.  I
noticed that your support registration say to come back on
5/10/1999 to register for 6.0 support, well I need help in
running glibc-2.0.7 along with glibc-2.1.1.
Comment 1 Bill Nottingham 1999-05-07 14:56:59 EDT
jdk messes with glibc thread internals. It shouldn't do that.
Make it use native threads and the problem should go away.
Comment 2 mmortens 1999-05-07 16:38:59 EDT
I switched jdk 1.1.7 over to using native threads and this appeared to
solve the problem.  Thanks

Note You need to log in before you can comment on or make changes to this bug.